Bug 22830 - correct for loop in value_builder/unimarc_field_4XX.pl value_builder
Summary: correct for loop in value_builder/unimarc_field_4XX.pl value_builder
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-02 12:20 UTC by Fridolin SOMERS
Modified: 2019-09-02 14:49 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 22830: correct for loop in value_builder/unimarc_field_4XX.pl value_builder (2.28 KB, patch)
2019-05-02 12:24 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 22830: correct for loop in value_builder/unimarc_field_4XX.pl value_builder (2.33 KB, patch)
2019-07-31 16:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22830: correct for loop in value_builder/unimarc_field_4XX.pl value_builder (2.34 KB, patch)
2019-07-31 16:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22830: correct for loop in value_builder/unimarc_field_4XX.pl value_builder (2.43 KB, patch)
2019-08-16 07:19 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-05-02 12:20:27 UTC
In value_builder/unimarc_field_4XX.pl value_builder gets search results and runs a for loog with $i index.
This loop is limiter with number of results par page, it should also be limited by number of results if lower that number of results par page.

Same in cataloguing/value_builder/marc21_linking_section.pl.
Comment 1 Fridolin SOMERS 2019-05-02 12:24:54 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-07-31 16:45:05 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2019-07-31 16:46:30 UTC
Created attachment 91897 [details] [review]
Bug 22830: correct for loop in value_builder/unimarc_field_4XX.pl value_builder

In value_builder/unimarc_field_4XX.pl value_builder gets search results
and runs a for loog with $i index. This loop is limiter with number of
results par page, it should also be limited by number of results if
lower that number of results par page.

Same in cataloguing/value_builder/marc21_linking_section.pl.

Test plan :
1) configure framework to use value builder
2) use value builder
3) perform a search with number of results lower than number of results
   per page
4) check number of records diplayed is OK
5) perform a search with number of results upper than number of results
   per page and check number of results is OK
6) you see number of results par page records and pagination link

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Marcel de Rooy 2019-08-16 07:19:36 UTC
Created attachment 92259 [details] [review]
Bug 22830: correct for loop in value_builder/unimarc_field_4XX.pl value_builder

In value_builder/unimarc_field_4XX.pl value_builder gets search results
and runs a for loog with $i index. This loop is limiter with number of
results par page, it should also be limited by number of results if
lower that number of results par page.

Same in cataloguing/value_builder/marc21_linking_section.pl.

Test plan :
1) configure framework to use value builder
2) use value builder
3) perform a search with number of results lower than number of results
   per page
4) check number of records diplayed is OK
5) perform a search with number of results upper than number of results
   per page and check number of results is OK
6) you see number of results par page records and pagination link

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Martin Renvoize 2019-08-16 11:21:17 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-09-02 14:49:47 UTC
Pushed to 19.05.x for 19.05.04